TechDraw Balloon: Difference between revisions

From FreeCAD Documentation
(document new feature and also describe moving as is in FC 0.19)
(Marked this version for translation)
(3 intermediate revisions by 2 users not shown)
Line 33: Line 33:


<!--T:13-->
<!--T:13-->
# Select one of the following:
There are 2 ways to add a Balloon:
* Select the View to which the Balloon will be attached.
#* A View (on the page or in the [[Tree_view|Tree view]]).
#* A vertex in a View. {{Version|0.20}}
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|Balloon]]}} button.
#* An edge in a View. {{Version|0.20}}
# The cursor is now displayed as a balloon icon. Click on the page to place the Balloon origin to the desired position.
* Select a drawing object in the page. {{Version|0.20}}
#* A closed region in a View. {{Version|0.20}}
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|Balloon]]}} button.
#* Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|TechDraw Balloon]]}} button.
# If the selected object is a line or point, the Balloon is immediately added to it. For lines, it is automatically added at its center. If the object was an area, click at a position of the area where the Balloon should be added.
#* Select the {{MenuCommand|TechDraw → Annotations → [[Image:TechDraw_Balloon.svg|16px]] Insert Balloon Annotation}} option from the menu.
# If a View or a region was selected:
## The cursor changes to a balloon icon.
## Click a point on the page for the origin of the Balloon.


<!--T:30-->
To drag the Balloon to the desired position, left-click on the Balloon and keep the mouse pressed while moving.
To move the bubble of a Balloon, press and hold the left mouse button on its center and drag the mouse.


<!--T:31-->
To change the balloon properties either double-clicking onto it in the drawing or double-click on the balloon object in the model tree. This will open the balloon dialog.
To change the properties of a Balloon double-click it on the page or in the [[Tree_view|Tree view]]. This will open the Balloon task panel.


<!--T:29-->
<!--T:29-->
'''Note:''' The position of the balloon is relative to the View and uses the same scale factor as the View.
'''Note:''' The position of a Balloon is relative to its Source View and uses the same scale factor.


== Using separators == <!--T:7-->
== Using separators == <!--T:7-->
Line 59: Line 65:
==Properties== <!--T:5-->
==Properties== <!--T:5-->


=== Data === <!--T:16-->
=== Data === <!--T:32-->

<!--T:16-->
* {{PropertyData|Text}}: Text to be displayed.
* {{PropertyData|Text}}: Text to be displayed.
* {{PropertyData|Source View}}: Source View for the balloon.
* {{PropertyData|Source View}}: Source View for the balloon.
Line 73: Line 81:
* {{PropertyData|Y}}: Vertical position of the balloon bubble relative to the View.
* {{PropertyData|Y}}: Vertical position of the balloon bubble relative to the View.


=== View === <!--T:17-->
=== View === <!--T:33-->

<!--T:17-->
* {{PropertyView|Color}}: Color of the balloon text.
* {{PropertyView|Color}}: Color of the balloon text.
* {{PropertyView|Font}}: The name of the font to use for the balloon bubble.
* {{PropertyView|Font}}: The name of the font to use for the balloon bubble.

Revision as of 19:22, 31 October 2021

TechDraw Balloon

Menu location
TechDraw → Annotations → Insert Balloon Annotation
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Annotation

Description

The Balloon tool can add balloons with leader line in a drawing.

Usage

  1. Select one of the following:
  2. There are several ways to invoke the tool:
    • Press the TechDraw Balloon button.
    • Select the TechDraw → Annotations → Insert Balloon Annotation option from the menu.
  3. If a View or a region was selected:
    1. The cursor changes to a balloon icon.
    2. Click a point on the page for the origin of the Balloon.

To move the bubble of a Balloon, press and hold the left mouse button on its center and drag the mouse.

To change the properties of a Balloon double-click it on the page or in the Tree view. This will open the Balloon task panel.

Note: The position of a Balloon is relative to its Source View and uses the same scale factor.

Using separators

When using a rectangle shape, separators can be added using "|" in the text. For example "AAA|TEST|111" gives:

Properties

Data

  • DataText: Text to be displayed.
  • DataSource View: Source View for the balloon.
  • DataOrigin X: Balloon origin x-position relative to the View.
  • DataOrigin Y: Balloon origin y-position relative to the View.
  • DataEnd Type: End symbol for the balloon line. Options: None, Filled Arrow, Open Arrow, Tick, Dot, Open Circle, Fork, Filled Triangle
  • DataEnd Type Scale: Scale factor for the End Type.
  • DataBubble Shape: Shape of the balloon bubble. Options: Circular, None, Triangle, Inspection, Hexagon, Square, Rectangle
  • DataShape Scale: Scale factor for the Shape.
  • DataText Wrap: Text wrap length; -1 means the text will never be wrapped and the result is in every case a single line.
  • DataKink Length: Distance from the Shape to the leader line kink.
  • DataX: Horizontal position of the balloon bubble relative to the View.
  • DataY: Vertical position of the balloon bubble relative to the View.

View

  • ViewColor: Color of the balloon text.
  • ViewFont: The name of the font to use for the balloon bubble.
  • ViewFontsize: Dimension text size in mm.
  • ViewLine Visible: Whether the balloon line is visible.
  • ViewLine Width: Balloon line width

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)